{
  description = "NixOS modules too specialized to be integrated into the official nixpkgs tree";

  outputs = { self, nixpkgs }: {

    lib = nixpkgs.lib.extend (self: super: let
      callLibs = file: import file { lib = self; };
    in {
      tinydns = callLibs ./tinydns/lib.nix;
    });

    nixosModules = {
      tinydns = import ./tinydns;
    };
  };
}
